import json
import os

from read_stats import read_stats


def convert_legacy_stats():
    
    stats = read_stats(2012, 'bowl')

    for team in stats:

        stats[team]['points']['total']['gained'] = [stats[team]['points']['total']['gained']['season']]
        stats[team]['points']['total']['allowed'] = [stats[team]['points']['total']['allowed']['season']]
        stats[team]['points']['1st quarter']['gained'] = [stats[team]['points']['1st quarter']['gained']['season']]
        stats[team]['points']['1st quarter']['allowed'] = [stats[team]['points']['1st quarter']['allowed']['season']]
        stats[team]['points']['2nd quarter']['gained'] = [stats[team]['points']['2nd quarter']['gained']['season']]
        stats[team]['points']['2nd quarter']['allowed'] = [stats[team]['points']['2nd quarter']['allowed']['season']]
        stats[team]['points']['3rd quarter']['gained'] = [stats[team]['points']['3rd quarter']['gained']['season']]
        stats[team]['points']['3rd quarter']['allowed'] = [stats[team]['points']['3rd quarter']['allowed']['season']]
        stats[team]['points']['4th quarter']['gained'] = [stats[team]['points']['4th quarter']['gained']['season']]
        stats[team]['points']['4th quarter']['allowed'] = [stats[team]['points']['4th quarter']['allowed']['season']]
        stats[team]['points']['overtime']['gained'] = [stats[team]['points']['overtime']['gained']['season']]
        stats[team]['points']['overtime']['allowed'] = [stats[team]['points']['overtime']['allowed']['season']]
        stats[team]['points']['1st half']['gained'] = [stats[team]['points']['1st half']['gained']['season']]
        stats[team]['points']['1st half']['allowed'] = [stats[team]['points']['1st half']['allowed']['season']]
        stats[team]['points']['2nd half']['gained'] = [stats[team]['points']['2nd half']['gained']['season']]
        stats[team]['points']['2nd half']['allowed'] = [stats[team]['points']['2nd half']['allowed']['season']]
        stats[team]['1st downs']['total']['gained'] = [stats[team]['1st downs']['total']['gained']['season']]
        stats[team]['1st downs']['total']['allowed'] = [stats[team]['1st downs']['total']['allowed']['season']]
        stats[team]['1st downs']['rushing']['gained'] = [stats[team]['1st downs']['rushing']['gained']['season']]
        stats[team]['1st downs']['rushing']['allowed'] = [stats[team]['1st downs']['rushing']['allowed']['season']]
        stats[team]['1st downs']['passing']['gained'] = [stats[team]['1st downs']['passing']['gained']['season']]
        stats[team]['1st downs']['passing']['allowed'] = [stats[team]['1st downs']['passing']['allowed']['season']]
        stats[team]['1st downs']['penalty']['gained'] = [stats[team]['1st downs']['penalty']['gained']['season']]
        stats[team]['1st downs']['penalty']['allowed'] = [stats[team]['1st downs']['penalty']['allowed']['season']]
        stats[team]['rushing']['yards']['gained'] = [stats[team]['rushing']['yards']['gained']['season']]
        stats[team]['rushing']['yards']['allowed'] = [stats[team]['rushing']['yards']['allowed']['season']]
        stats[team]['rushing']['attempts']['gained'] = [stats[team]['rushing']['attempts']['gained']['season']]
        stats[team]['rushing']['attempts']['allowed'] = [stats[team]['rushing']['attempts']['allowed']['season']]
        stats[team]['passing']['yards']['gained'] = [stats[team]['passing']['yards']['gained']['season']]
        stats[team]['passing']['yards']['allowed'] = [stats[team]['passing']['yards']['allowed']['season']]
        stats[team]['passing']['attempts']['gained'] = [stats[team]['passing']['attempts']['gained']['season']]
        stats[team]['passing']['attempts']['allowed'] = [stats[team]['passing']['attempts']['allowed']['season']]
        stats[team]['passing']['completions']['gained'] = [stats[team]['passing']['completions']['gained']['season']]
        stats[team]['passing']['completions']['allowed'] = [stats[team]['passing']['completions']['allowed']['season']]
        stats[team]['total offense']['yards']['gained'] = [stats[team]['total offense']['yards']['gained']['season']]
        stats[team]['total offense']['yards']['allowed'] = [stats[team]['total offense']['yards']['allowed']['season']]
        stats[team]['total offense']['plays']['gained'] = [stats[team]['total offense']['plays']['gained']['season']]
        stats[team]['total offense']['plays']['allowed'] = [stats[team]['total offense']['plays']['allowed']['season']]
        stats[team]['fumbles']['total']['gained'] = [stats[team]['fumbles']['total']['gained']['season']]
        stats[team]['fumbles']['total']['allowed'] = [stats[team]['fumbles']['total']['allowed']['season']]
        stats[team]['fumbles']['lost']['gained'] = [stats[team]['fumbles']['lost']['gained']['season']]
        stats[team]['fumbles']['lost']['allowed'] = [stats[team]['fumbles']['lost']['allowed']['season']]
        stats[team]['penalties']['number']['gained'] = [stats[team]['penalties']['number']['gained']['season']]
        stats[team]['penalties']['number']['allowed'] = [stats[team]['penalties']['number']['allowed']['season']]
        stats[team]['penalties']['yards']['gained'] = [stats[team]['penalties']['yards']['gained']['season']]
        stats[team]['penalties']['yards']['allowed'] = [stats[team]['penalties']['yards']['allowed']['season']]
        stats[team]['punts']['number']['gained'] = [stats[team]['punts']['number']['gained']['season']]
        stats[team]['punts']['number']['allowed'] = [stats[team]['punts']['number']['allowed']['season']]
        stats[team]['punts']['yards']['gained'] = [stats[team]['punts']['yards']['gained']['season']]
        stats[team]['punts']['yards']['allowed'] = [stats[team]['punts']['yards']['allowed']['season']]
        stats[team]['punt returns']['number']['gained'] = [stats[team]['punt returns']['number']['gained']['season']]
        stats[team]['punt returns']['number']['allowed'] = [stats[team]['punt returns']['number']['allowed']['season']]
        stats[team]['punt returns']['yards']['gained'] = [stats[team]['punt returns']['yards']['gained']['season']]
        stats[team]['punt returns']['yards']['allowed'] = [stats[team]['punt returns']['yards']['allowed']['season']]
        stats[team]['kickoff returns']['number']['gained'] = [stats[team]['kickoff returns']['number']['gained']['season']]
        stats[team]['kickoff returns']['number']['allowed'] = [stats[team]['kickoff returns']['number']['allowed']['season']]
        stats[team]['kickoff returns']['yards']['gained'] = [stats[team]['kickoff returns']['yards']['gained']['season']]
        stats[team]['kickoff returns']['yards']['allowed'] = [stats[team]['kickoff returns']['yards']['allowed']['season']]
        stats[team]['interception returns']['number']['gained'] = [stats[team]['interception returns']['number']['gained']['season']]
        stats[team]['interception returns']['number']['allowed'] = [stats[team]['interception returns']['number']['allowed']['season']]
        stats[team]['interception returns']['yards']['gained'] = [stats[team]['interception returns']['yards']['gained']['season']]
        stats[team]['interception returns']['yards']['allowed'] = [stats[team]['interception returns']['yards']['allowed']['season']]
        stats[team]['3rd downs']['conversions']['gained'] = [stats[team]['3rd downs']['conversions']['gained']['season']]
        stats[team]['3rd downs']['conversions']['allowed'] = [stats[team]['3rd downs']['conversions']['allowed']['season']]
        stats[team]['3rd downs']['attempts']['gained'] = [stats[team]['3rd downs']['attempts']['gained']['season']]
        stats[team]['3rd downs']['attempts']['allowed'] = [stats[team]['3rd downs']['attempts']['allowed']['season']]
        stats[team]['4th downs']['conversions']['gained'] = [stats[team]['4th downs']['conversions']['gained']['season']]
        stats[team]['4th downs']['conversions']['allowed'] = [stats[team]['4th downs']['conversions']['allowed']['season']]
        stats[team]['4th downs']['attempts']['gained'] = [stats[team]['4th downs']['attempts']['gained']['season']]
        stats[team]['4th downs']['attempts']['allowed'] = [stats[team]['4th downs']['attempts']['allowed']['season']]
        stats[team]['fbs red zone trips']['conversions']['gained'] = [stats[team]['fbs red zone trips']['conversions']['gained']['season']]
        stats[team]['fbs red zone trips']['conversions']['allowed'] = [stats[team]['fbs red zone trips']['conversions']['allowed']['season']]
        stats[team]['fbs red zone trips']['attempts']['gained'] = [stats[team]['fbs red zone trips']['attempts']['gained']['season']]
        stats[team]['fbs red zone trips']['attempts']['allowed'] = [stats[team]['fbs red zone trips']['attempts']['allowed']['season']]
        stats[team]['fbs offensive scoring']['touchdowns']['gained'] = [stats[team]['fbs offensive scoring']['touchdowns']['gained']['season']]
        stats[team]['fbs offensive scoring']['touchdowns']['allowed'] = [stats[team]['fbs offensive scoring']['touchdowns']['allowed']['season']]
        stats[team]['fbs offensive scoring']['points']['gained'] = [stats[team]['fbs offensive scoring']['points']['gained']['season']]
        stats[team]['fbs offensive scoring']['points']['allowed'] = [stats[team]['fbs offensive scoring']['points']['allowed']['season']]
        stats[team]['fbs time of possession percentage']['total']['gained'] = [stats[team]['fbs time of possession percentage']['total']['gained']['season']]
        stats[team]['fbs time of possession percentage']['total']['allowed'] = [stats[team]['fbs time of possession percentage']['total']['allowed']['season']]
        stats[team]['fbs time of possession percentage']['1st quarter']['gained'] = [stats[team]['fbs time of possession percentage']['1st quarter']['gained']['season']]
        stats[team]['fbs time of possession percentage']['1st quarter']['allowed'] = [stats[team]['fbs time of possession percentage']['1st quarter']['allowed']['season']]
        stats[team]['fbs time of possession percentage']['2nd quarter']['gained'] = [stats[team]['fbs time of possession percentage']['2nd quarter']['gained']['season']]
        stats[team]['fbs time of possession percentage']['2nd quarter']['allowed'] = [stats[team]['fbs time of possession percentage']['2nd quarter']['allowed']['season']]
        stats[team]['fbs time of possession percentage']['3rd quarter']['gained'] = [stats[team]['fbs time of possession percentage']['3rd quarter']['gained']['season']]
        stats[team]['fbs time of possession percentage']['3rd quarter']['allowed'] = [stats[team]['fbs time of possession percentage']['3rd quarter']['allowed']['season']]
        stats[team]['fbs time of possession percentage']['4th quarter']['gained'] = [stats[team]['fbs time of possession percentage']['4th quarter']['gained']['season']]
        stats[team]['fbs time of possession percentage']['4th quarter']['allowed'] = [stats[team]['fbs time of possession percentage']['4th quarter']['allowed']['season']]
        stats[team]['fbs time of possession percentage']['1st half']['gained'] = [stats[team]['fbs time of possession percentage']['1st half']['gained']['season']]
        stats[team]['fbs time of possession percentage']['1st half']['allowed'] = [stats[team]['fbs time of possession percentage']['1st half']['allowed']['season']]
        stats[team]['fbs time of possession percentage']['2nd half']['gained'] = [stats[team]['fbs time of possession percentage']['2nd half']['gained']['season']]
        stats[team]['fbs time of possession percentage']['2nd half']['allowed'] = [stats[team]['fbs time of possession percentage']['2nd half']['allowed']['season']]
        stats[team]['fbs sacks']['gained'] = [stats[team]['fbs sacks']['gained']['season']]
        stats[team]['fbs sacks']['allowed'] = [stats[team]['fbs sacks']['allowed']['season']]
        stats[team]['fbs field goals']['attempts']['gained'] = [stats[team]['fbs field goals']['attempts']['gained']['season']]
        stats[team]['fbs field goals']['attempts']['allowed'] = [stats[team]['fbs field goals']['attempts']['allowed']['season']]
        stats[team]['fbs field goals']['made']['gained'] = [stats[team]['fbs field goals']['made']['gained']['season']]
        stats[team]['fbs field goals']['made']['allowed'] = [stats[team]['fbs field goals']['made']['allowed']['season']]
        
    # Create the stats file with absolute path
    absolute_path = os.path.dirname(os.path.realpath(__file__))
    filename = '{0}/stats/{1}/stats-{1}-{2:02}.json'.format(absolute_path, 2012, 16)
    os.makedirs(os.path.dirname(filename), exist_ok=True)
    with open(filename, 'w') as file:
        json.dump(stats, file, indent=2)

convert_legacy_stats()